package com.steerinfo.inPlantNavigation.service;

import com.steerinfo.inPlantNavigation.exception.VertexAngEdgeException;
import com.steerinfo.inPlantNavigation.model.IPMMSVertex;
import com.steerinfo.inPlantNavigation.model.IPMMSVertexEdge;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public interface IIPMMSVertexService {
    
    public Map<String, IPMMSVertex> initIPMMSVertex();

    Map<String, IPMMSVertex> initIPMSVertexTest();


    ArrayList<IPMMSVertex> getObtainTheOptimalPath(String startpoint,String endPoint,Map<String, List<IPMMSVertexEdge>> vertexEdgeList, Map<String, IPMMSVertex> vertexList) throws VertexAngEdgeException;
}