package com.steerinfo.inPlantNavigation.service.impl;

import com.steerinfo.inPlantNavigation.model.IPMMSVertexEdge;
import com.steerinfo.inPlantNavigation.service.IIPMMSVertexEdgeService;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service("ipmmsVertexEdgeService")
public class IPMMSVertexEdgeServiceImpl implements IIPMMSVertexEdgeService {
    @Override
    public Map<String, List<IPMMSVertexEdge>> initVertexEdge() {

        Map<String, List<IPMMSVertexEdge>> vertexEdgeList=new HashMap<>();
        List<IPMMSVertexEdge> arrayList0=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList0Edge0=new IPMMSVertexEdge();
        ipmmsVertexList0Edge0.setVertexEdgeID(new BigDecimal(0));
        ipmmsVertexList0Edge0.setWeigh(2);
        ipmmsVertexList0Edge0.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge0.setInVertexID(new BigDecimal(1));
        arrayList0.add(ipmmsVertexList0Edge0);

        IPMMSVertexEdge ipmmsVertexList0Edge1=new IPMMSVertexEdge();
        ipmmsVertexList0Edge1.setVertexEdgeID(new BigDecimal(2));
        ipmmsVertexList0Edge1.setWeigh(5);
        ipmmsVertexList0Edge1.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge1.setInVertexID(new BigDecimal(2));
        arrayList0.add(ipmmsVertexList0Edge1);

        IPMMSVertexEdge ipmmsVertexList0Edge2=new IPMMSVertexEdge();
        ipmmsVertexList0Edge2.setVertexEdgeID(new BigDecimal(7));
        ipmmsVertexList0Edge2.setWeigh(4);
        ipmmsVertexList0Edge2.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge2.setInVertexID(new BigDecimal(3));
        arrayList0.add(ipmmsVertexList0Edge2);

        vertexEdgeList.put("0",arrayList0);

        List<IPMMSVertexEdge> arrayList1=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList1Edge0=new IPMMSVertexEdge();
        ipmmsVertexList1Edge0.setVertexEdgeID(new BigDecimal(1));
        ipmmsVertexList1Edge0.setWeigh(3);
        ipmmsVertexList1Edge0.setOutVertexID(new BigDecimal(1));
        ipmmsVertexList1Edge0.setInVertexID(new BigDecimal(0));
        arrayList1.add(ipmmsVertexList1Edge0);

        vertexEdgeList.put("1",arrayList1);


        List<IPMMSVertexEdge> arrayList2=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList2Edge0=new IPMMSVertexEdge();
        ipmmsVertexList2Edge0.setVertexEdgeID(new BigDecimal(3));
        ipmmsVertexList2Edge0.setWeigh(2);
        ipmmsVertexList2Edge0.setOutVertexID(new BigDecimal(2));
        ipmmsVertexList2Edge0.setInVertexID(new BigDecimal(1));
        arrayList2.add(ipmmsVertexList2Edge0);

        IPMMSVertexEdge ipmmsVertexList2Edge1=new IPMMSVertexEdge();
        ipmmsVertexList2Edge1.setVertexEdgeID(new BigDecimal(4));
        ipmmsVertexList2Edge1.setWeigh(10);
        ipmmsVertexList2Edge1.setOutVertexID(new BigDecimal(2));
        ipmmsVertexList2Edge1.setInVertexID(new BigDecimal(3));
        arrayList2.add(ipmmsVertexList2Edge1);

        vertexEdgeList.put("2",arrayList2);

        List<IPMMSVertexEdge> arrayList3=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList3Edge0=new IPMMSVertexEdge();
        ipmmsVertexList3Edge0.setVertexEdgeID(new BigDecimal(5));
        ipmmsVertexList3Edge0.setWeigh(8);
        ipmmsVertexList3Edge0.setOutVertexID(new BigDecimal(3));
        ipmmsVertexList3Edge0.setInVertexID(new BigDecimal(2));
        arrayList3.add(ipmmsVertexList3Edge0);

        IPMMSVertexEdge ipmmsVertexList3Edge1=new IPMMSVertexEdge();
        ipmmsVertexList3Edge1.setVertexEdgeID(new BigDecimal(7));
        ipmmsVertexList3Edge1.setWeigh(4);
        ipmmsVertexList3Edge1.setOutVertexID(new BigDecimal(3));
        ipmmsVertexList3Edge1.setInVertexID(new BigDecimal(1));
        arrayList3.add(ipmmsVertexList3Edge1);

        vertexEdgeList.put("3",arrayList3);


        return vertexEdgeList;
    }

    @Override
    public Map<String, List<IPMMSVertexEdge>> initVertexEdgeTest() {
        Map<String, List<IPMMSVertexEdge>> vertexEdgeList=new HashMap<>();

        List<IPMMSVertexEdge> arrayList0=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge0=new IPMMSVertexEdge();
        ipmmsVertexList0Edge0.setVertexEdgeID(new BigDecimal(0));
        ipmmsVertexList0Edge0.setWeigh(100);
        ipmmsVertexList0Edge0.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge0.setInVertexID(new BigDecimal(1));
        arrayList0.add(ipmmsVertexList0Edge0);

        IPMMSVertexEdge ipmmsVertexList0Edge1=new IPMMSVertexEdge();
        ipmmsVertexList0Edge1.setVertexEdgeID(new BigDecimal(1));
        ipmmsVertexList0Edge1.setWeigh(150);
        ipmmsVertexList0Edge1.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge1.setInVertexID(new BigDecimal(13));
        arrayList0.add(ipmmsVertexList0Edge1);

        IPMMSVertexEdge ipmmsVertexList0Edge2=new IPMMSVertexEdge();
        ipmmsVertexList0Edge2.setVertexEdgeID(new BigDecimal(2));
        ipmmsVertexList0Edge2.setWeigh(120);
        ipmmsVertexList0Edge2.setOutVertexID(new BigDecimal(0));
        ipmmsVertexList0Edge2.setInVertexID(new BigDecimal(14));
        arrayList0.add(ipmmsVertexList0Edge2);

        vertexEdgeList.put("0",arrayList0);

        List<IPMMSVertexEdge> arrayList1=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge3=new IPMMSVertexEdge();
        ipmmsVertexList0Edge3.setVertexEdgeID(new BigDecimal(3));
        ipmmsVertexList0Edge3.setWeigh(100);
        ipmmsVertexList0Edge3.setOutVertexID(new BigDecimal(1));
        ipmmsVertexList0Edge3.setInVertexID(new BigDecimal(0));
        arrayList1.add(ipmmsVertexList0Edge3);

        IPMMSVertexEdge ipmmsVertexList0Edge4=new IPMMSVertexEdge();
        ipmmsVertexList0Edge4.setVertexEdgeID(new BigDecimal(4));
        ipmmsVertexList0Edge4.setWeigh(150);
        ipmmsVertexList0Edge4.setOutVertexID(new BigDecimal(1));
        ipmmsVertexList0Edge4.setInVertexID(new BigDecimal(13));
        arrayList1.add(ipmmsVertexList0Edge4);

        vertexEdgeList.put("1",arrayList1);

        List<IPMMSVertexEdge> arrayList2=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge5=new IPMMSVertexEdge();
        ipmmsVertexList0Edge5.setVertexEdgeID(new BigDecimal(5));
        ipmmsVertexList0Edge5.setWeigh(600);
        ipmmsVertexList0Edge5.setOutVertexID(new BigDecimal(2));
        ipmmsVertexList0Edge5.setInVertexID(new BigDecimal(17));
        arrayList2.add(ipmmsVertexList0Edge5);

        IPMMSVertexEdge ipmmsVertexList0Edge6=new IPMMSVertexEdge();
        ipmmsVertexList0Edge6.setVertexEdgeID(new BigDecimal(6));
        ipmmsVertexList0Edge6.setWeigh(100);
        ipmmsVertexList0Edge6.setOutVertexID(new BigDecimal(2));
        ipmmsVertexList0Edge6.setInVertexID(new BigDecimal(15));
        arrayList2.add(ipmmsVertexList0Edge6);

        IPMMSVertexEdge ipmmsVertexList0Edge7=new IPMMSVertexEdge();
        ipmmsVertexList0Edge7.setVertexEdgeID(new BigDecimal(7));
        ipmmsVertexList0Edge7.setWeigh(400);
        ipmmsVertexList0Edge7.setOutVertexID(new BigDecimal(2));
        ipmmsVertexList0Edge7.setInVertexID(new BigDecimal(3));
        arrayList2.add(ipmmsVertexList0Edge7);

        IPMMSVertexEdge ipmmsVertexList0Edge8=new IPMMSVertexEdge();
        ipmmsVertexList0Edge8.setVertexEdgeID(new BigDecimal(8));
        ipmmsVertexList0Edge8.setWeigh(300);
        ipmmsVertexList0Edge8.setOutVertexID(new BigDecimal(2));
        ipmmsVertexList0Edge8.setInVertexID(new BigDecimal(16));
        arrayList2.add(ipmmsVertexList0Edge8);

        vertexEdgeList.put("2",arrayList2);

        ArrayList<IPMMSVertexEdge> arrayList3=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList0Edge9=new IPMMSVertexEdge();
        ipmmsVertexList0Edge9.setVertexEdgeID(new BigDecimal(9));
        ipmmsVertexList0Edge9.setWeigh(400);
        ipmmsVertexList0Edge9.setOutVertexID(new BigDecimal(3));
        ipmmsVertexList0Edge9.setInVertexID(new BigDecimal(2));
        arrayList3.add(ipmmsVertexList0Edge9);

        IPMMSVertexEdge ipmmsVertexList0Edge10=new IPMMSVertexEdge();
        ipmmsVertexList0Edge10.setVertexEdgeID(new BigDecimal(10));
        ipmmsVertexList0Edge10.setWeigh(500);
        ipmmsVertexList0Edge10.setOutVertexID(new BigDecimal(3));
        ipmmsVertexList0Edge10.setInVertexID(new BigDecimal(15));
        arrayList3.add(ipmmsVertexList0Edge10);

        IPMMSVertexEdge ipmmsVertexList0Edge11=new IPMMSVertexEdge();
        ipmmsVertexList0Edge11.setVertexEdgeID(new BigDecimal(11));
        ipmmsVertexList0Edge11.setWeigh(450);
        ipmmsVertexList0Edge11.setOutVertexID(new BigDecimal(3));
        ipmmsVertexList0Edge11.setInVertexID(new BigDecimal(17));
        arrayList3.add(ipmmsVertexList0Edge11);

        vertexEdgeList.put("3",arrayList3);


        ArrayList<IPMMSVertexEdge> arrayList10=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList0Edge12=new IPMMSVertexEdge();
        ipmmsVertexList0Edge12.setVertexEdgeID(new BigDecimal(12));
        ipmmsVertexList0Edge12.setWeigh(30);
        ipmmsVertexList0Edge12.setOutVertexID(new BigDecimal(10));
        ipmmsVertexList0Edge12.setInVertexID(new BigDecimal(11));
        arrayList10.add(ipmmsVertexList0Edge12);

        IPMMSVertexEdge ipmmsVertexList0Edge13=new IPMMSVertexEdge();
        ipmmsVertexList0Edge13.setVertexEdgeID(new BigDecimal(13));
        ipmmsVertexList0Edge13.setWeigh(300);
        ipmmsVertexList0Edge13.setOutVertexID(new BigDecimal(10));
        ipmmsVertexList0Edge13.setInVertexID(new BigDecimal(14));
        arrayList10.add(ipmmsVertexList0Edge13);

        vertexEdgeList.put("10",arrayList10);

        ArrayList<IPMMSVertexEdge> arrayList11=new ArrayList<>();
        IPMMSVertexEdge ipmmsVertexList0Edge14=new IPMMSVertexEdge();
        ipmmsVertexList0Edge14.setVertexEdgeID(new BigDecimal(14));
        ipmmsVertexList0Edge14.setWeigh(250);
        ipmmsVertexList0Edge14.setOutVertexID(new BigDecimal(11));
        ipmmsVertexList0Edge14.setInVertexID(new BigDecimal(12));
        arrayList11.add(ipmmsVertexList0Edge14);

        IPMMSVertexEdge ipmmsVertexList0Edge15=new IPMMSVertexEdge();
        ipmmsVertexList0Edge15.setVertexEdgeID(new BigDecimal(15));
        ipmmsVertexList0Edge15.setWeigh(30);
        ipmmsVertexList0Edge15.setOutVertexID(new BigDecimal(11));
        ipmmsVertexList0Edge15.setInVertexID(new BigDecimal(10));
        arrayList11.add(ipmmsVertexList0Edge15);

        vertexEdgeList.put("11",arrayList11);

        ArrayList<IPMMSVertexEdge> arrayList12=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge16=new IPMMSVertexEdge();
        ipmmsVertexList0Edge16.setVertexEdgeID(new BigDecimal(16));
        ipmmsVertexList0Edge16.setWeigh(250);
        ipmmsVertexList0Edge16.setOutVertexID(new BigDecimal(12));
        ipmmsVertexList0Edge16.setInVertexID(new BigDecimal(11));
        arrayList12.add(ipmmsVertexList0Edge16);

        IPMMSVertexEdge ipmmsVertexList0Edge17=new IPMMSVertexEdge();
        ipmmsVertexList0Edge17.setVertexEdgeID(new BigDecimal(17));
        ipmmsVertexList0Edge17.setWeigh(300);
        ipmmsVertexList0Edge17.setOutVertexID(new BigDecimal(12));
        ipmmsVertexList0Edge17.setInVertexID(new BigDecimal(16));
        arrayList12.add(ipmmsVertexList0Edge17);

        vertexEdgeList.put("12",arrayList12);

        ArrayList<IPMMSVertexEdge> arrayList13=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge18=new IPMMSVertexEdge();
        ipmmsVertexList0Edge18.setVertexEdgeID(new BigDecimal(18));
        ipmmsVertexList0Edge18.setWeigh(50);
        ipmmsVertexList0Edge18.setOutVertexID(new BigDecimal(13));
        ipmmsVertexList0Edge18.setInVertexID(new BigDecimal(16));
        arrayList13.add(ipmmsVertexList0Edge18);

        IPMMSVertexEdge ipmmsVertexList0Edge19=new IPMMSVertexEdge();
        ipmmsVertexList0Edge19.setVertexEdgeID(new BigDecimal(19));
        ipmmsVertexList0Edge19.setWeigh(50);
        ipmmsVertexList0Edge19.setOutVertexID(new BigDecimal(13));
        ipmmsVertexList0Edge19.setInVertexID(new BigDecimal(14));
        arrayList13.add(ipmmsVertexList0Edge19);

        IPMMSVertexEdge ipmmsVertexList0Edge20=new IPMMSVertexEdge();
        ipmmsVertexList0Edge20.setVertexEdgeID(new BigDecimal(20));
        ipmmsVertexList0Edge20.setWeigh(150);
        ipmmsVertexList0Edge20.setOutVertexID(new BigDecimal(13));
        ipmmsVertexList0Edge20.setInVertexID(new BigDecimal(0));
        arrayList13.add(ipmmsVertexList0Edge20);

        IPMMSVertexEdge ipmmsVertexList0Edge21=new IPMMSVertexEdge();
        ipmmsVertexList0Edge21.setVertexEdgeID(new BigDecimal(21));
        ipmmsVertexList0Edge21.setWeigh(150);
        ipmmsVertexList0Edge21.setOutVertexID(new BigDecimal(13));
        ipmmsVertexList0Edge21.setInVertexID(new BigDecimal(1));
        arrayList13.add(ipmmsVertexList0Edge21);

        IPMMSVertexEdge ipmmsVertexList0Edge22=new IPMMSVertexEdge();
        ipmmsVertexList0Edge22.setVertexEdgeID(new BigDecimal(22));
        ipmmsVertexList0Edge22.setWeigh(50);
        ipmmsVertexList0Edge22.setOutVertexID(new BigDecimal(13));
        ipmmsVertexList0Edge22.setInVertexID(new BigDecimal(14));
        arrayList13.add(ipmmsVertexList0Edge22);

        IPMMSVertexEdge ipmmsVertexList0Edge23=new IPMMSVertexEdge();
        ipmmsVertexList0Edge23.setVertexEdgeID(new BigDecimal(23));
        ipmmsVertexList0Edge23.setWeigh(50);
        ipmmsVertexList0Edge23.setOutVertexID(new BigDecimal(13));
        ipmmsVertexList0Edge23.setInVertexID(new BigDecimal(16));
        arrayList13.add(ipmmsVertexList0Edge23);

        vertexEdgeList.put("13",arrayList13);


        ArrayList<IPMMSVertexEdge> arrayList15=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge24=new IPMMSVertexEdge();
        ipmmsVertexList0Edge24.setVertexEdgeID(new BigDecimal(24));
        ipmmsVertexList0Edge24.setWeigh(100);
        ipmmsVertexList0Edge24.setOutVertexID(new BigDecimal(15));
        ipmmsVertexList0Edge24.setInVertexID(new BigDecimal(2));
        arrayList15.add(ipmmsVertexList0Edge24);

        IPMMSVertexEdge ipmmsVertexList0Edge25=new IPMMSVertexEdge();
        ipmmsVertexList0Edge25.setVertexEdgeID(new BigDecimal(25));
        ipmmsVertexList0Edge25.setWeigh(500);
        ipmmsVertexList0Edge25.setOutVertexID(new BigDecimal(15));
        ipmmsVertexList0Edge25.setInVertexID(new BigDecimal(3));
        arrayList15.add(ipmmsVertexList0Edge25);

        IPMMSVertexEdge ipmmsVertexList0Edge26=new IPMMSVertexEdge();
        ipmmsVertexList0Edge26.setVertexEdgeID(new BigDecimal(26));
        ipmmsVertexList0Edge26.setWeigh(200);
        ipmmsVertexList0Edge26.setOutVertexID(new BigDecimal(15));
        ipmmsVertexList0Edge26.setInVertexID(new BigDecimal(16));
        arrayList15.add(ipmmsVertexList0Edge26);

        IPMMSVertexEdge ipmmsVertexList0Edge27=new IPMMSVertexEdge();
        ipmmsVertexList0Edge27.setVertexEdgeID(new BigDecimal(27));
        ipmmsVertexList0Edge27.setWeigh(900);
        ipmmsVertexList0Edge27.setOutVertexID(new BigDecimal(15));
        ipmmsVertexList0Edge27.setInVertexID(new BigDecimal(17));
        arrayList15.add(ipmmsVertexList0Edge27);

        vertexEdgeList.put("15",arrayList15);

        ArrayList<IPMMSVertexEdge> arrayList16=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge28=new IPMMSVertexEdge();
        ipmmsVertexList0Edge28.setVertexEdgeID(new BigDecimal(28));
        ipmmsVertexList0Edge28.setWeigh(300);
        ipmmsVertexList0Edge28.setOutVertexID(new BigDecimal(16));
        ipmmsVertexList0Edge28.setInVertexID(new BigDecimal(2));
        arrayList16.add(ipmmsVertexList0Edge28);

        IPMMSVertexEdge ipmmsVertexList0Edge29=new IPMMSVertexEdge();
        ipmmsVertexList0Edge29.setVertexEdgeID(new BigDecimal(29));
        ipmmsVertexList0Edge29.setWeigh(50);
        ipmmsVertexList0Edge29.setOutVertexID(new BigDecimal(16));
        ipmmsVertexList0Edge29.setInVertexID(new BigDecimal(13));
        arrayList16.add(ipmmsVertexList0Edge29);

        IPMMSVertexEdge ipmmsVertexList0Edge30=new IPMMSVertexEdge();
        ipmmsVertexList0Edge30.setVertexEdgeID(new BigDecimal(30));
        ipmmsVertexList0Edge30.setWeigh(200);
        ipmmsVertexList0Edge30.setOutVertexID(new BigDecimal(16));
        ipmmsVertexList0Edge30.setInVertexID(new BigDecimal(15));
        arrayList16.add(ipmmsVertexList0Edge30);

        IPMMSVertexEdge ipmmsVertexList0Edge31=new IPMMSVertexEdge();
        ipmmsVertexList0Edge31.setVertexEdgeID(new BigDecimal(31));
        ipmmsVertexList0Edge31.setWeigh(300);
        ipmmsVertexList0Edge31.setOutVertexID(new BigDecimal(16));
        ipmmsVertexList0Edge31.setInVertexID(new BigDecimal(12));
        arrayList16.add(ipmmsVertexList0Edge31);

        vertexEdgeList.put("16",arrayList16);

        ArrayList<IPMMSVertexEdge> arrayList17=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge32=new IPMMSVertexEdge();
        ipmmsVertexList0Edge32.setVertexEdgeID(new BigDecimal(32));
        ipmmsVertexList0Edge32.setWeigh(600);
        ipmmsVertexList0Edge32.setOutVertexID(new BigDecimal(17));
        ipmmsVertexList0Edge32.setInVertexID(new BigDecimal(2));
        arrayList17.add(ipmmsVertexList0Edge32);

        IPMMSVertexEdge ipmmsVertexList0Edge33=new IPMMSVertexEdge();
        ipmmsVertexList0Edge33.setVertexEdgeID(new BigDecimal(33));
        ipmmsVertexList0Edge33.setWeigh(450);
        ipmmsVertexList0Edge33.setOutVertexID(new BigDecimal(17));
        ipmmsVertexList0Edge33.setInVertexID(new BigDecimal(3));
        arrayList17.add(ipmmsVertexList0Edge33);

        IPMMSVertexEdge ipmmsVertexList0Edge34=new IPMMSVertexEdge();
        ipmmsVertexList0Edge34.setVertexEdgeID(new BigDecimal(34));
        ipmmsVertexList0Edge34.setWeigh(900);
        ipmmsVertexList0Edge34.setOutVertexID(new BigDecimal(17));
        ipmmsVertexList0Edge34.setInVertexID(new BigDecimal(15));
        arrayList17.add(ipmmsVertexList0Edge34);

        vertexEdgeList.put("17",arrayList17);


        ArrayList<IPMMSVertexEdge> arrayList14=new ArrayList<>();

        IPMMSVertexEdge ipmmsVertexList0Edge35=new IPMMSVertexEdge();
        ipmmsVertexList0Edge35.setVertexEdgeID(new BigDecimal(35));
        ipmmsVertexList0Edge35.setWeigh(50);
        ipmmsVertexList0Edge35.setOutVertexID(new BigDecimal(14));
        ipmmsVertexList0Edge35.setInVertexID(new BigDecimal(13));
        arrayList14.add(ipmmsVertexList0Edge35);

        IPMMSVertexEdge ipmmsVertexList0Edge36=new IPMMSVertexEdge();
        ipmmsVertexList0Edge36.setVertexEdgeID(new BigDecimal(36));
        ipmmsVertexList0Edge36.setWeigh(120);
        ipmmsVertexList0Edge36.setOutVertexID(new BigDecimal(14));
        ipmmsVertexList0Edge36.setInVertexID(new BigDecimal(0));
        arrayList14.add(ipmmsVertexList0Edge36);

        IPMMSVertexEdge ipmmsVertexList0Edge37=new IPMMSVertexEdge();
        ipmmsVertexList0Edge37.setVertexEdgeID(new BigDecimal(37));
        ipmmsVertexList0Edge37.setWeigh(300);
        ipmmsVertexList0Edge37.setOutVertexID(new BigDecimal(14));
        ipmmsVertexList0Edge37.setInVertexID(new BigDecimal(10));
        arrayList14.add(ipmmsVertexList0Edge37);

        vertexEdgeList.put("14",arrayList14);
        return vertexEdgeList;
    }
}