package com.steerinfo.route.mapper;

import com.steerinfo.dil.model.DilVersion;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.math.BigDecimal;

@Mapper
public interface DilVersionMapper extends IBaseMapper<DilVersion, BigDecimal> {
    @Select("select VERSION_VALUE from DIL_VERSION where VERSION_TYPE = 3")
    String getToken();

    @Update("update DIL_VERSION set VERSION_VALUE = #{token}, UPDATE_TIME = SYSDATE where VERSION_TYPE = 3")
    int updateToken(@Param("token") String token);
}